Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io
Interface SequenceFile.ValueBytes

All Known Implementing Classes:
  SequenceFileAsBinaryOutputFormat.WritableValueBytes

Enclosing class:
  SequenceFile

    public static interface SequenceFile.ValueBytes

The interface to 'raw' values of SequenceFiles.

Method Summary
`int` | `getSize()` Size of stored data.
`void` | `writeCompressedBytes(DataOutputStream outStream)` Write compressed bytes to outStream.
`void` | `writeUncompressedBytes(DataOutputStream outStream)` Writes the uncompressed bytes to the outStream.

Method Detail

### writeUncompressedBytes

    void writeUncompressedBytes(DataOutputStream outStream)
                                throws IOException

  Writes the uncompressed bytes to the outStream.

  Parameters:
    `outStream` - : Stream to write uncompressed bytes into.
  Throws:
    `IOException`

### writeCompressedBytes

    void writeCompressedBytes(DataOutputStream outStream)
                              throws IllegalArgumentException,
                                     IOException

  Write compressed bytes to outStream. Note: that it will NOT compress the bytes if they are not compressed.

  Parameters:
    `outStream` - : Stream to write compressed bytes into.
  Throws:
    `IllegalArgumentException`
    `IOException`

### getSize

    int getSize()

  Size of stored data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation